package com.platform.modules.sys.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author MXY
 * 2019-11-12 15:25:44
 */
@TableName("sys_tenant")
@ApiModel("机构信息表")
public class SysTenantEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId("tenant_id")
	@ApiModelProperty(value = "主键")
	private Long id;
	/**
	 * 父id
	 */
	@ApiModelProperty(value = "父Id")
	private Long parentId;
	/**
	 * 机构名
	 */
	@ApiModelProperty(value = "机构名称")
	private String tenantName;
	/**
	 * 1，机构；2，个人
	 */
	@ApiModelProperty(value = "类型，1：机构，2：个人")
	private Integer category;
	/**
	 * 营业执照
	 */
	@ApiModelProperty(value = "营业执照")
	private String license;
	/**
	 * 营业执照url
	 */
	@ApiModelProperty(value = "营业执照URL")
	private String licenseUrl;
	/**
	 * 状态  0：禁用   1：正常
	 */
	@ApiModelProperty(value = "状态，0：禁用，1：正常")
	private Integer status;
	/**
	 * 排序
	 */
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String remark;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 创建者ID
	 */
	@ApiModelProperty(value = "创建者ID")
	private Long createUserId;
	/**
	 * 删除标志
	 */
	@ApiModelProperty(value = "删除标志")
	@TableLogic
	private Integer deleteFlag;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：父id
	 */
	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}
	/**
	 * 获取：父id
	 */
	public Long getParentId() {
		return parentId;
	}
	/**
	 * 设置：机构名
	 */
	public void setTenantName(String tenantName) {
		this.tenantName = tenantName;
	}
	/**
	 * 获取：机构名
	 */
	public String getTenantName() {
		return tenantName;
	}
	/**
	 * 设置：1，机构；2，个人
	 */
	public void setCategory(Integer category) {
		this.category = category;
	}
	/**
	 * 获取：1，机构；2，个人
	 */
	public Integer getCategory() {
		return category;
	}
	/**
	 * 设置：营业执照
	 */
	public void setLicense(String license) {
		this.license = license;
	}
	/**
	 * 获取：营业执照
	 */
	public String getLicense() {
		return license;
	}
	/**
	 * 设置：营业执照url
	 */
	public void setLicenseUrl(String licenseUrl) {
		this.licenseUrl = licenseUrl;
	}
	/**
	 * 获取：营业执照url
	 */
	public String getLicenseUrl() {
		return licenseUrl;
	}
	/**
	 * 设置：状态  0：禁用   1：正常
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}
	/**
	 * 获取：状态  0：禁用   1：正常
	 */
	public Integer getStatus() {
		return status;
	}
	/**
	 * 设置：排序
	 */
	public void setSort(Integer sort) {
		this.sort = sort;
	}
	/**
	 * 获取：排序
	 */
	public Integer getSort() {
		return sort;
	}
	/**
	 * 设置：备注
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}
	/**
	 * 获取：备注
	 */
	public String getRemark() {
		return remark;
	}
	/**
	 * 设置：
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 设置：创建者ID
	 */
	public void setCreateUserId(Long createUserId) {
		this.createUserId = createUserId;
	}
	/**
	 * 获取：创建者ID
	 */
	public Long getCreateUserId() {
		return createUserId;
	}
	/**
	 * 设置：
	 */
	public void setDeleteFlag(Integer deleteFlag) {
		this.deleteFlag = deleteFlag;
	}
	/**
	 * 获取：
	 */
	public Integer getDeleteFlag() {
		return deleteFlag;
	}
}
